#!/usr/bin/env python3
import setuptools
import os

base_dir = os.path.dirname(__file__)
readme_path = os.path.join(base_dir, "README.md")
if os.path.exists(readme_path):
    with open(readme_path) as stream:
        long_description = stream.read()
else:
    long_description = ""

setuptools.setup(
    name="complib",
    version="0.4.1-1",
    author="F-WuTs",
    author_email="--",
    description="",
    summary="Library for the competition",
    platforms=["any"],
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/F-WuTS/compLIB",
    packages=setuptools.find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3.7",
        "License :: Other/Proprietary License",
        "Operating System :: Unix"
    ],
    license="proprietary"#,
    #install_requires=[
    #    "smbus",
    #    "requests",
    #    "python-logstash-async"
    #]
)
